Summary:	Plugins for the Eye of GNOME image viewer
Name:		eog-plugins
Version:	44.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/projects/eog/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-Require-Gtk-3.0-typelib.patch
Patch2:		0001-Fix-Eog-typelib-loading-from-private-location.patch
Patch3:		0001-Require-PeasGtk-1.0-typelib.patch
BuildRequires:	gettext
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(eog)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
Requires:	eog
Requires:	python3dist(pygobject)

%description
It's a collection of plugins for use with the Eye of GNOME Image Viewer.
The included plugins provide a map view for where the picture was taken,
display of Exif information, Zoom to fit, etc.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_libdir}/eog/plugins/*
%{_datadir}/eog/plugins/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_metainfodir}/eog-*.appdata.xml


%changelog
* Wed Apr 09 2025 wally <wally> 44.1-3.mga10
+ Revision: 2174406
- drop libpeas1.0-loader-python3 requires

* Fri Mar 28 2025 wally <wally> 44.1-2.mga10
+ Revision: 2170561
- fix Eog typelib loading from private location
- require Gtk 3.0 and PeasGtk 1.0 typelibs
- require libpeas1.0-loader-python3

* Thu Aug 08 2024 daviddavid <daviddavid> 44.1-1.mga10
+ Revision: 2084122
- new version 44.1

* Sun Apr 23 2023 daviddavid <daviddavid> 44.0-1.mga9
+ Revision: 1954463
- new version 44.0

* Mon Jan 09 2023 daviddavid <daviddavid> 42.3-1.mga9
+ Revision: 1931924
- new version 42.3

* Sat Sep 17 2022 ovitters <ovitters> 42.2-1.mga9
+ Revision: 1889612
- new version 42.2

* Sat Apr 23 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1852961
- new version 42.1

* Sun Mar 20 2022 tv <tv> 42.0-1.mga9
+ Revision: 1802068
- Update to 42.0

* Sun Jan 09 2022 ovitters <ovitters> 3.26.8-1.mga9
+ Revision: 1767319
- new version 3.26.8

* Sun Mar 21 2021 ovitters <ovitters> 3.26.7-1.mga9
+ Revision: 1706691
- new version 3.26.7

* Sat Nov 21 2020 ovitters <ovitters> 3.26.6-1.mga8
+ Revision: 1648321
- new version 3.26.6
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 umeabot <umeabot> 3.26.5-2.mga8
+ Revision: 1542541
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 ovitters <ovitters> 3.26.5-1.mga8
+ Revision: 1476567
- new version 3.26.5

* Mon Sep 16 2019 tv <tv> 3.26.4-2.mga8
+ Revision: 1441969
- rebuild for libpeas

* Mon Sep 09 2019 ovitters <ovitters> 3.26.4-1.mga8
+ Revision: 1439113
- new version 3.26.4

* Wed Aug 07 2019 tv <tv> 3.26.3-4.mga8
+ Revision: 1427976
- rebuild for new libpeas

* Mon Mar 25 2019 daviddavid <daviddavid> 3.26.3-3.mga7
+ Revision: 1380086
- postr is no more available
- replace intltool for gettext
- require python3-gi

* Sun Sep 23 2018 umeabot <umeabot> 3.26.3-2.mga7
+ Revision: 1297611
- Mageia 7 Mass Rebuild

* Mon Jul 23 2018 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1245025
- new version 3.26.3

* Mon Feb 12 2018 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1200720
- new version 3.26.2

* Mon Oct 02 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1164275
- new version 3.26.1

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153031
- new version 3.26.0

* Mon Sep 04 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151237
- new version 3.25.92

* Wed Aug 23 2017 ovitters <ovitters> 3.25.1-1.mga7
+ Revision: 1143704
- new version 3.25.1

* Sat May 27 2017 neoclust <neoclust> 3.16.6-2.mga6
+ Revision: 1105097
- Rebuilf for ARM

* Tue Apr 11 2017 ovitters <ovitters> 3.16.6-1.mga6
+ Revision: 1096403
- new version 3.16.6

* Tue Oct 11 2016 ovitters <ovitters> 3.16.5-1.mga6
+ Revision: 1060247
- new version 3.16.5

* Mon May 09 2016 ovitters <ovitters> 3.16.4-1.mga6
+ Revision: 1011652
- new version 3.16.4

* Sun Feb 14 2016 umeabot <umeabot> 3.16.3-2.mga6
+ Revision: 960025
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 ovitters <ovitters> 3.16.3-1.mga6
+ Revision: 900119
- new version 3.16.3

* Tue Sep 29 2015 tv <tv> 3.16.2-1.mga6
+ Revision: 885015
- new release

* Mon Aug 17 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 865390
- new version 3.16.1

* Tue Jun 23 2015 vaci0 <vaci0> 3.16.0-1.mga6
+ Revision: 839969
-Update to new version 3.16.0
- Update new version 3.15.90

* Tue Nov 11 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 796291
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 749396
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731688
- new version 3.14.0

* Sun Sep 28 2014 tv <tv> 3.13.92-3.mga5
+ Revision: 731124
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679016
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676934
- new version 3.13.92

* Thu Aug 21 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 666302
- new version 3.13.1

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614196
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608155
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604463
- new version 3.11.92

* Fri Feb 07 2014 fwang <fwang> 3.11.4-2.mga5
+ Revision: 585001
- update br
+ tv <tv>
- rebuild for new gdata
+ ovitters <ovitters>
- new version 3.11.4

* Sat Nov 02 2013 fwang <fwang> 3.10.1-3.mga4
+ Revision: 548864
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545221
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 500917
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485229
- new version 3.10.0

* Mon Jul 29 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460697
- new version 3.9.5

* Fri May 24 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 426194
- new version 3.8.1

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 349700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306797
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297274
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296236
- new version 3.5.92

* Mon Sep 03 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287762
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 282707
- update br
- new version 3.5.5

* Fri Jun 08 2012 fwang <fwang> 3.4.1-1.mga3
+ Revision: 257447
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga3
+ Revision: 226946
- new version 3.4.0
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220314
- new version 3.3.91

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211421
- update file list
- update file list
- br gsettings-desktop-schemas
- bump eog req
- new version 3.3.90

* Thu Feb 09 2012 wally <wally> 3.3.5-1.mga2
+ Revision: 206718
- new version 3.3.5

* Wed Nov 23 2011 wally <wally> 3.2.2-2.mga2
+ Revision: 171409
- rebuild for new clutter

* Tue Nov 22 2011 fwang <fwang> 3.2.2-1.mga2
+ Revision: 170759
- new version 3.2.2

* Thu Oct 20 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156955
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149037
- new version 3.2.0

* Thu Sep 22 2011 fwang <fwang> 3.1.3-1.mga2
+ Revision: 146740
- new version 3.1.3

* Sat Sep 03 2011 wally <wally> 3.1.2-3.mga2
+ Revision: 138181
- clean P0

* Sat Sep 03 2011 wally <wally> 3.1.2-2.mga2
+ Revision: 138161
- rebuild for new champlain
- new version 3.1.2

* Sun Jul 17 2011 wally <wally> 3.1.1-1.mga2
+ Revision: 125421
- new version 3.1.1
- change BRs to pkgconfig style
- change description
- clean .spec
- imported package eog-plugins


* Sat Feb 05 2011 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 636218
- new version
- drop patch

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-3mdv2011.0
+ Revision: 574685
- build with new champlain

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-2mdv2011.0
+ Revision: 551159
- useless release bump
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528948
- update to new version 2.30.0

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509950
- update to new version 2.29.91

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-3mdv2010.1
+ Revision: 506086
- add missing postasa data files
- update description

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-2mdv2010.1
+ Revision: 506058
- enable postasa plugin

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 504124
- new version
- update file list

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490061
- update to new version 2.29.5

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 475378
- new version
- update file list

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458858
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446729
- new version
- drop patch

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-2mdv2010.0
+ Revision: 441032
- patch for new libchamplain

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437406
- new version
- drop patches

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-3mdv2010.0
+ Revision: 421368
- replace postr filename patch by upstream version
- fix crash in exif view

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-2mdv2010.0
+ Revision: 420887
- fix call to postr
- update description

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420838
- import eog-plugins

